Recommended update for golang-github-digitalocean-ceph_exporter, golang-github-prometheus-alertmanager, golang-github-prometheus-node_exporter, golang-github-prometheus-prometheus

SUSE Recommended Update: Recommended update for golang-github-digitalocean-ceph_exporter, golang-github-prometheus-alertmanager, golang-github-prometheus-node_exporter, golang-github-prometheus-prometheus
Announcement ID: SUSE-RU-2019:2144-1
Rating: moderate
References: #1139348 #1143929
Affected Products:
  • SUSE Enterprise Storage 5

An update that has two recommended fixes can now be installed.

Description:

This update for golang-github-digitalocean-ceph_exporter, golang-github-prometheus-alertmanager, golang-github-prometheus-node_exporter, golang-github-prometheus-prometheus fixes the following issues:
golang-github-prometheus-prometheus:

  • Avoid corrupted meta.json files to cause crashes by using fsync to force file content persistence (bsc#1139348)

Generic changes to all packages included in this maintenance update:
  • Add network-online (Wants and After) dependency to systemd unit to prevent the services from starting when the network is not yet available (bsc#1143929)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Enterprise Storage 5:
    zypper in -t patch SUSE-Storage-5-2019-2144=1

Package List:

  • SUSE Enterprise Storage 5 (aarch64 x86_64):
    • golang-github-digitalocean-ceph_exporter-2.0.1+git20180913.eed5856-4.9.2
    • golang-github-prometheus-alertmanager-0.6.2-4.3.1
    • golang-github-prometheus-node_exporter-0.14.0-5.11.1
    • golang-github-prometheus-prometheus-2.3.2-2.13.1

References: